<?php


class admin_secuen extends fs_controller
{

    public function __construct()
    {
        parent::__construct(__CLASS__, 'Actualza Promedios', 'Formularios EC');
    }

    protected function private_core()
    {
        parent::private_core();
        $this->codgenerado = filter_input(INPUT_POST, 'codgenerado');
        if ($this->codgenerado) {
            $this->new_message("REFERENCIAS MODIFICADAS");
            $this->editar_agencia();
        }

    }

    private function editar_agencia()
    {
           
            $data2 = $this->db->select("SELECT referencia, costemedio, preciocoste, costemedio-preciocoste, sevende "
            . " FROM articulos where costemedio > 0 AND (costemedio-preciocoste > 3 OR preciocoste - costemedio > 3)");
            
            if ($data2) {
                foreach ($data2 as $d) {
                    $promedio = $this->db->select("select referencia, avg(pvpunitario) prom "
                        ." from lineasfacturasprov where referencia='".$d['referencia']."';"); 
                        if ($promedio){
                            foreach ($promedio as $p) {
                                $sql = "update articulos set costemedio =".$p['prom']." where referencia = '".$d['referencia']."';";
                                $this->db->exec($sql);
    $this->new_message("articulos ".$d['referencia']." pr nvo ".$p['prom']."  pr coste ".$d['preciocoste']." cst med ".$d['costemedio']);
                            }
                        }
                }
            }else{
               $this->new_message("   No existe REFERENCIA ".$d['referencia']); 
            }
    }
}
